<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>ESP32CPP</b></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classESP32CPP_1_1GPIO.html" target="_self">GPIO</a></td><td class="desc">Interface to GPIO functions </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structaddressRange__t.html" target="_self">addressRange_t</a></td><td class="desc"></td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classApa102.html" target="_self">Apa102</a></td><td class="desc"></td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTable.html" target="_self">ArgTable</a></td><td class="desc"></td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Date.html" target="_self">ArgTableEntry_Date</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Double.html" target="_self">ArgTableEntry_Double</a></td><td class="desc"></td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__File.html" target="_self">ArgTableEntry_File</a></td><td class="desc"></td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Generic.html" target="_self">ArgTableEntry_Generic</a></td><td class="desc"></td></tr>
<tr id="row_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Int.html" target="_self">ArgTableEntry_Int</a></td><td class="desc"></td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Lit.html" target="_self">ArgTableEntry_Lit</a></td><td class="desc"></td></tr>
<tr id="row_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__Regex.html" target="_self">ArgTableEntry_Regex</a></td><td class="desc"></td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classArgTableEntry__String.html" target="_self">ArgTableEntry_String</a></td><td class="desc"></td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classBLEBeacon.html" target="_self">BLEBeacon</a></td><td class="desc">Representation of a beacon. See: </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classBLEDisconnectedException.html" target="_self">BLEDisconnectedException</a></td><td class="desc"></td></tr>
<tr id="row_14_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classBLEEddystoneTLM.html" target="_self">BLEEddystoneTLM</a></td><td class="desc">Representation of a beacon. See: </td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classBLEEddystoneURL.html" target="_self">BLEEddystoneURL</a></td><td class="desc">Representation of a beacon. See: </td></tr>
<tr id="row_16_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classBLEUuidNotFoundException.html" target="_self">BLEUuidNotFoundException</a></td><td class="desc"></td></tr>
<tr id="row_17_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structcamera__config__t.html" target="_self">camera_config_t</a></td><td class="desc"></td></tr>
<tr id="row_18_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classConsole.html" target="_self">Console</a></td><td class="desc"></td></tr>
<tr id="row_19_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structdata__packet.html" target="_self">data_packet</a></td><td class="desc"></td></tr>
<tr id="row_20_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structdma__config__t.html" target="_self">dma_config_t</a></td><td class="desc"></td></tr>
<tr id="row_21_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classDMABuffer.html" target="_self">DMABuffer</a></td><td class="desc"></td></tr>
<tr id="row_22_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classDMAData.html" target="_self">DMAData</a></td><td class="desc"></td></tr>
<tr id="row_23_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFATFS__VFS.html" target="_self">FATFS_VFS</a></td><td class="desc">Provide access to the FAT file system on SPI flash. The <a class="el" href="classFATFS__VFS.html" title="Provide access to the FAT file system on SPI flash. The FATFS_VFS file system needs a partition defin...">FATFS_VFS</a> file system needs a partition definition. This is a map of flash memory that specified an array into which the files should be saved and loaded. A partition is a named entity and the name we choose in the partition definition should be named in the constructor </td></tr>
<tr id="row_24_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFile.html" target="_self">File</a></td><td class="desc">A logical representation of a file </td></tr>
<tr id="row_25_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFileSystem.html" target="_self">FileSystem</a></td><td class="desc"><a class="el" href="classFile.html" title="A logical representation of a file.">File</a> system utilities </td></tr>
<tr id="row_26_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structFrame.html" target="_self">Frame</a></td><td class="desc"></td></tr>
<tr id="row_27_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_27_" class="arrow" onclick="toggleFolder('27_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFreeRTOS.html" target="_self">FreeRTOS</a></td><td class="desc">Interface to FreeRTOS functions </td></tr>
<tr id="row_27_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFreeRTOS_1_1Semaphore.html" target="_self">Semaphore</a></td><td class="desc"></td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFreeRTOSTimer.html" target="_self">FreeRTOSTimer</a></td><td class="desc">Wrapper around the FreeRTOS timer functions </td></tr>
<tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFTPCallbacks.html" target="_self">FTPCallbacks</a></td><td class="desc"></td></tr>
<tr id="row_30_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFTPFileCallbacks.html" target="_self">FTPFileCallbacks</a></td><td class="desc"></td></tr>
<tr id="row_31_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_31_" class="arrow" onclick="toggleFolder('31_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFTPServer.html" target="_self">FTPServer</a></td><td class="desc"></td></tr>
<tr id="row_31_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFTPServer_1_1FileException.html" target="_self">FileException</a></td><td class="desc"></td></tr>
<tr id="row_32_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classGeneralUtils.html" target="_self">GeneralUtils</a></td><td class="desc">General utilities </td></tr>
<tr id="row_33_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structHID__REPORT.html" target="_self">HID_REPORT</a></td><td class="desc"></td></tr>
<tr id="row_34_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHttpParser.html" target="_self">HttpParser</a></td><td class="desc"></td></tr>
<tr id="row_35_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHttpRequest.html" target="_self">HttpRequest</a></td><td class="desc"></td></tr>
<tr id="row_36_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHttpResponse.html" target="_self">HttpResponse</a></td><td class="desc"></td></tr>
<tr id="row_37_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHttpServer.html" target="_self">HttpServer</a></td><td class="desc"></td></tr>
<tr id="row_38_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHttpServerTask.html" target="_self">HttpServerTask</a></td><td class="desc">Be an HTTP server task. Here we define a <a class="el" href="classTask.html" title="Encapsulate a runnable task.">Task</a> that will be run when the HTTP server starts. It is this task that executes the majority of the passive work of the server. It listens for incoming connections and processes them when they arrive </td></tr>
<tr id="row_39_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classI2C.html" target="_self">I2C</a></td><td class="desc">Interface to I2C functions </td></tr>
<tr id="row_40_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classI2S.html" target="_self">I2S</a></td><td class="desc"></td></tr>
<tr id="row_41_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classIFTTT.html" target="_self">IFTTT</a></td><td class="desc">Encapsulate IFTTT calls </td></tr>
<tr id="row_42_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structio__mux__dev__t.html" target="_self">io_mux_dev_t</a></td><td class="desc"></td></tr>
<tr id="row_43_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structio__mux__reg__t.html" target="_self">io_mux_reg_t</a></td><td class="desc"></td></tr>
<tr id="row_44_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJSON.html" target="_self">JSON</a></td><td class="desc">Top level <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> handler </td></tr>
<tr id="row_45_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJsonArray.html" target="_self">JsonArray</a></td><td class="desc">A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array </td></tr>
<tr id="row_46_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJsonObject.html" target="_self">JsonObject</a></td><td class="desc">A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object </td></tr>
<tr id="row_47_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structKEYMAP.html" target="_self">KEYMAP</a></td><td class="desc"></td></tr>
<tr id="row_48_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMAX7219.html" target="_self">MAX7219</a></td><td class="desc">MAX7219 and MAX7221 controller </td></tr>
<tr id="row_49_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_49_" class="arrow" onclick="toggleFolder('49_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMFRC522.html" target="_self">MFRC522</a></td><td class="desc"></td></tr>
<tr id="row_49_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structMFRC522_1_1MIFARE__Key.html" target="_self">MIFARE_Key</a></td><td class="desc"></td></tr>
<tr id="row_49_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structMFRC522_1_1Uid.html" target="_self">Uid</a></td><td class="desc"></td></tr>
<tr id="row_50_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMFRC522Debug.html" target="_self">MFRC522Debug</a></td><td class="desc"></td></tr>
<tr id="row_51_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMMU.html" target="_self">MMU</a></td><td class="desc"></td></tr>
<tr id="row_52_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMPU6050.html" target="_self">MPU6050</a></td><td class="desc">Driver for the MPU6050 accelerometer and gyroscope </td></tr>
<tr id="row_53_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmqtt__InitTypeDef.html" target="_self">mqtt_InitTypeDef</a></td><td class="desc"></td></tr>
<tr id="row_54_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structmqtt__message.html" target="_self">mqtt_message</a></td><td class="desc"></td></tr>
<tr id="row_55_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classNeoPixelWiFiEventHandler.html" target="_self">NeoPixelWiFiEventHandler</a></td><td class="desc">Color a neopixel as a function of the WiFi state </td></tr>
<tr id="row_56_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classNVS.html" target="_self">NVS</a></td><td class="desc">Provide Non Volatile Storage access </td></tr>
<tr id="row_57_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classOV7670.html" target="_self">OV7670</a></td><td class="desc"></td></tr>
<tr id="row_58_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPathHandler.html" target="_self">PathHandler</a></td><td class="desc">Handle path matching for an incoming HTTP request </td></tr>
<tr id="row_59_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPCF8574.html" target="_self">PCF8574</a></td><td class="desc">Encapsulate a PCF8574 device </td></tr>
<tr id="row_60_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPCF8575.html" target="_self">PCF8575</a></td><td class="desc">Encapsulate a PCF8575 device </td></tr>
<tr id="row_61_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structpixel__t.html" target="_self">pixel_t</a></td><td class="desc">A data type representing the color of a pixel </td></tr>
<tr id="row_62_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPubSubClient.html" target="_self">PubSubClient</a></td><td class="desc"></td></tr>
<tr id="row_63_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPubSubClientTask.html" target="_self">PubSubClientTask</a></td><td class="desc">A task that will handle the <a class="el" href="classPubSubClient.html">PubSubClient</a> </td></tr>
<tr id="row_64_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPWM.html" target="_self">PWM</a></td><td class="desc">A wrapper for ESP32 PWM control </td></tr>
<tr id="row_65_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classRingbuffer.html" target="_self">Ringbuffer</a></td><td class="desc"><a class="el" href="classRingbuffer.html" title="Ringbuffer.">Ringbuffer</a> </td></tr>
<tr id="row_66_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classRMT.html" target="_self">RMT</a></td><td class="desc">Drive the RMT peripheral </td></tr>
<tr id="row_67_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSmartLED.html" target="_self">SmartLED</a></td><td class="desc"></td></tr>
<tr id="row_68_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_68_" class="arrow" onclick="toggleFolder('68_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSOC.html" target="_self">SOC</a></td><td class="desc"></td></tr>
<tr id="row_68_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSOC_1_1I2S.html" target="_self">I2S</a></td><td class="desc"></td></tr>
<tr id="row_69_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSocket.html" target="_self">Socket</a></td><td class="desc">Encapsulate a socket </td></tr>
<tr id="row_70_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSocketException.html" target="_self">SocketException</a></td><td class="desc"></td></tr>
<tr id="row_71_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSocketInputRecordStreambuf.html" target="_self">SocketInputRecordStreambuf</a></td><td class="desc"></td></tr>
<tr id="row_72_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSockServ.html" target="_self">SockServ</a></td><td class="desc">Provide a socket listener and the ability to send data to connected partners </td></tr>
<tr id="row_73_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSPI.html" target="_self">SPI</a></td><td class="desc">Handle SPI protocol </td></tr>
<tr id="row_74_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSSLUtils.html" target="_self">SSLUtils</a></td><td class="desc"></td></tr>
<tr id="row_75_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSystem.html" target="_self">System</a></td><td class="desc"><a class="el" href="classSystem.html" title="System wide functions.">System</a> wide functions </td></tr>
<tr id="row_76_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTask.html" target="_self">Task</a></td><td class="desc">Encapsulate a runnable task </td></tr>
<tr id="row_77_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_77_" class="arrow" onclick="toggleFolder('77_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTFTP.html" target="_self">TFTP</a></td><td class="desc">A TFTP server </td></tr>
<tr id="row_77_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTFTP_1_1TFTP__Transaction.html" target="_self">TFTP_Transaction</a></td><td class="desc">Internal class for TFTP processing </td></tr>
<tr id="row_78_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWebSocket.html" target="_self">WebSocket</a></td><td class="desc"></td></tr>
<tr id="row_79_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWebSocketFileTransfer.html" target="_self">WebSocketFileTransfer</a></td><td class="desc"></td></tr>
<tr id="row_80_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWebSocketHandler.html" target="_self">WebSocketHandler</a></td><td class="desc"></td></tr>
<tr id="row_81_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWebSocketInputStreambuf.html" target="_self">WebSocketInputStreambuf</a></td><td class="desc"></td></tr>
<tr id="row_82_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWebSocketReader.html" target="_self">WebSocketReader</a></td><td class="desc">A task that will watch web socket inputs </td></tr>
<tr id="row_83_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWiFi.html" target="_self">WiFi</a></td><td class="desc">WiFi driver </td></tr>
<tr id="row_84_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWiFiAPRecord.html" target="_self">WiFiAPRecord</a></td><td class="desc">Manage mDNS server </td></tr>
<tr id="row_85_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWiFiEventHandler.html" target="_self">WiFiEventHandler</a></td><td class="desc">WiFi state event handler </td></tr>
<tr id="row_86_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWS2812.html" target="_self">WS2812</a></td><td class="desc">Driver for WS2812/NeoPixel data </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
